MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001310VCMIOtherpublic2013-06-09 11:202014-03-04 14:58
ReporterRndMA 
Assigned ToIvan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target VersionFixed in Version0.95b 
Summary0001310: Linux XDG support for savegames
DescriptionThis is just a feature request regarding the placement of the .vcmi folder. The XDG specification on Linux (http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html [^]) would suggest using the variable XDG_DATA_HOME+vcmi/ and if that isn't available, using instead ".local/share/vcmi/".

I've found this sample implementation: https://gist.github.com/flibitijibibo/5139524 [^]

TagsNo tags attached.
Attached Files

- Relationships
related to 0001688resolvedSXX On Windows vcmi must store user-specific data under C:\Users directory 

-  Notes
(0003681)
Ivan (developer)
2013-06-09 11:48

I know about this issue. Probably will be implemented for 0.94.
(0004407)
Ivan (developer)
2014-02-08 12:52

This one will have to wait till 0001688 is fixed, othervice chance to run into issues is just too big.

According to specs these are directories that we will use:
$XDG_DATA_HOME, default: $HOME/.local/share
User data, e.g. mods, save games, place for H3 files when installed via vcmibuilder

$XDG_CONFIG_HOME, default: $HOME/.config
Location of user config files (mod settings + game settings)

$XDG_CACHE_HOME, default: $HOME/.cache
Cached & temporary files, mostly for launcher, maybe also for logs(?)

$XDG_DATA_DIRS
List of global data directories, will be used insead/along with DATA_DIR
(0004573)
Ivan (developer)
2014-03-04 14:58

Implemented, rev 3798.

- Issue History
Date Modified Username Field Change
2013-06-09 11:20 RndMA New Issue
2013-06-09 11:47 Ivan Assigned To => Ivan
2013-06-09 11:47 Ivan Status new => assigned
2013-06-09 11:48 Ivan Note Added: 0003681
2014-02-08 12:44 Ivan Relationship added related to 0001688
2014-02-08 12:52 Ivan Note Added: 0004407
2014-03-04 14:58 Ivan Note Added: 0004573
2014-03-04 14:58 Ivan Status assigned => resolved
2014-03-04 14:58 Ivan Fixed in Version => 0.95b
2014-03-04 14:58 Ivan Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean